[ubuntu/trusty-proposed] xen 4.4.1-0ubuntu0.14.04.1 (Accepted)

Stefan Bader stefan.bader at canonical.com
Wed Nov 12 14:38:57 UTC 2014


xen (4.4.1-0ubuntu0.14.04.1) trusty; urgency=low

  * Updating to lastest upstream stable release 4.4.1 (LP: #1390352)
    - Replacing the following security changes by upstream versions:
      * CVE-2013-3495 / XSA-59 (additional work-around),
        CVE-2014-2599 / XSA-89, CVE-2014-3125 / XSA-91,
        CVE-2014-3124 / XSA-92, CVE-2014-2915 / XSA-93,
        CVE-2014-2986 / XSA-94,
        CVE-2014-3714,CVE-2014-3715,CVE-2014-3716,CVE-2014-3717 / XSA-95,
        CVE-2014-3967,CVE-2014-3968 / XSA-96, CVE-2014-3969 / XSA-98,
        CVE-2014-4021 / XSA-100, CVE-2014-4022 / XSA-101,
        CVE-2014-5147 / XSA-102, CVE-2014-5148 / XSA-103
    - Dropped patches:
      * upstream-25290:7a6dcecb1781-rework (stale)
      * tools-flask-prefix.diff (stale)
      * ubuntu-tools-hotplug-disable-xend-socket.patch (stale, duplicate)
    - Refreshed patches:
      * d/p/debian/patches/ubuntu-arm64-enablement.patch
        Configure part fixed in Xen code. Duplicate defines for arm64 seem
        to be avoided by later libc, so need to keep that worked-around in
        Xen.

Date: Mon, 10 Nov 2014 11:34:26 +0100
Changed-By: Stefan Bader <stefan.bader at canonical.com>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
https://launchpad.net/ubuntu/+source/xen/4.4.1-0ubuntu0.14.04.1
-------------- next part --------------
Format: 1.8
Date: Mon, 10 Nov 2014 11:34:26 +0100
Source: xen
Binary: libxen-4.4 libxenstore3.0 libxen-dev xenstore-utils libxen-ocaml libxen-ocaml-dev xen-utils-common xen-utils-4.4 xen-hypervisor-4.4-amd64 xen-system-amd64 xen-hypervisor-4.4-armhf xen-system-armhf xen-hypervisor-4.4-arm64 xen-system-arm64 xen-hypervisor-4.1-amd64 xen-hypervisor-4.1-i386 xen-hypervisor-4.3-amd64 xen-hypervisor-4.3-armhf
Architecture: source
Version: 4.4.1-0ubuntu0.14.04.1
Distribution: trusty
Urgency: low
Maintainer: Ubuntu Developers <ubuntu-devel-discuss at lists.ubuntu.com>
Changed-By: Stefan Bader <stefan.bader at canonical.com>
Description: 
 libxen-4.4 - Public libs for Xen
 libxen-dev - Public headers and libs for Xen
 libxen-ocaml - OCaml libraries for controlling Xen
 libxen-ocaml-dev - OCaml libraries for controlling Xen (devel package)
 libxenstore3.0 - Xenstore communications library for Xen
 xen-hypervisor-4.1-amd64 - Transitional package for upgrade
 xen-hypervisor-4.1-i386 - Transitional package for upgrade
 xen-hypervisor-4.3-amd64 - Transitional package for upgrade
 xen-hypervisor-4.3-armhf - Transitional package for upgrade
 xen-hypervisor-4.4-amd64 - Xen Hypervisor on AMD64
 xen-hypervisor-4.4-arm64 - Xen Hypervisor on Arm64
 xen-hypervisor-4.4-armhf - Xen Hypervisor on Arm v7/v8
 xen-system-amd64 - Xen System on AMD64 (meta-package)
 xen-system-arm64 - Xen System on Arm64 (meta-package)
 xen-system-armhf - Xen System on Arm  v7/v8 (meta-package)
 xen-utils-4.4 - XEN administrative tools
 xen-utils-common - Xen administrative tools - common files
 xenstore-utils - Xenstore utilities for Xen
Launchpad-Bugs-Fixed: 1390352
Changes: 
 xen (4.4.1-0ubuntu0.14.04.1) trusty; urgency=low
 .
   * Updating to lastest upstream stable release 4.4.1 (LP: #1390352)
     - Replacing the following security changes by upstream versions:
       * CVE-2013-3495 / XSA-59 (additional work-around),
         CVE-2014-2599 / XSA-89, CVE-2014-3125 / XSA-91,
         CVE-2014-3124 / XSA-92, CVE-2014-2915 / XSA-93,
         CVE-2014-2986 / XSA-94,
         CVE-2014-3714,CVE-2014-3715,CVE-2014-3716,CVE-2014-3717 / XSA-95,
         CVE-2014-3967,CVE-2014-3968 / XSA-96, CVE-2014-3969 / XSA-98,
         CVE-2014-4021 / XSA-100, CVE-2014-4022 / XSA-101,
         CVE-2014-5147 / XSA-102, CVE-2014-5148 / XSA-103
     - Dropped patches:
       * upstream-25290:7a6dcecb1781-rework (stale)
       * tools-flask-prefix.diff (stale)
       * ubuntu-tools-hotplug-disable-xend-socket.patch (stale, duplicate)
     - Refreshed patches:
       * d/p/debian/patches/ubuntu-arm64-enablement.patch
         Configure part fixed in Xen code. Duplicate defines for arm64 seem
         to be avoided by later libc, so need to keep that worked-around in
         Xen.
Checksums-Sha1: 
 d7fb0143f33a2736715d56147a67fd6a2ced6616 3505 xen_4.4.1-0ubuntu0.14.04.1.dsc
 9a0dea5b90a93dd14b74e7243bb155406e0d536c 2594008 xen_4.4.1.orig-qemu.tar.xz
 900ed093d14caf511fa1a22f48bbf0499bb2ee11 3778516 xen_4.4.1.orig.tar.xz
 a7522fd89a20bc2e0675ab99aa953287a6ea8733 80036 xen_4.4.1-0ubuntu0.14.04.1.debian.tar.gz
Checksums-Sha256: 
 affd4cc1a1d9bc1123b83091476ad339c3aafacb9bf9562c09351c76379478c6 3505 xen_4.4.1-0ubuntu0.14.04.1.dsc
 334689c4359f8c35871bb157fb1d4419811102dc46a718bc1661839b756f2ab0 2594008 xen_4.4.1.orig-qemu.tar.xz
 c51b9f10047779d76b9f9900e2f626008d07ffe9a35f6221d703a542e599a8cb 3778516 xen_4.4.1.orig.tar.xz
 ef39554bcfe7bf1c41d60f0b455640e3fa797215c7066b389f15c3a3ec1e8c7b 80036 xen_4.4.1-0ubuntu0.14.04.1.debian.tar.gz
Files: 
 84847c09bf0c2a5c472fd612a6293082 3505 kernel optional xen_4.4.1-0ubuntu0.14.04.1.dsc
 e72c84020157130a860d9b89c0e498b2 2594008 kernel optional xen_4.4.1.orig-qemu.tar.xz
 eb8b9505a28561d4d0a8409f1b43fb0a 3778516 kernel optional xen_4.4.1.orig.tar.xz
 e9c649b199e46bd2ca97217344aa15b9 80036 kernel optional xen_4.4.1-0ubuntu0.14.04.1.debian.tar.gz
Original-Maintainer: Debian Xen Team <pkg-xen-devel at lists.alioth.debian.org>


More information about the Trusty-changes mailing list